/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
/***************************************************************************
 *   Copyright (C) 2004 by Reichert Bernard                                *
 *   valen16@trypill.org                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qpixmap.h>
#include <qimage.h>
#include <qdir.h>

void StyleWid::init()
{
	//load default picture
	QPixmap pix;
	QImage img;
	QString path = "/usr/share/kphotools/styles/nopreview.png";
	if(!img.load(path))
	{
	    //return
	}
	pix.convertFromImage(img);
	
	//show it
	m_imgPreview->setPixmap(pix);
	
	//create style list
	QDir *dir = new QDir("/usr/share/kphotools/styles");
	const QFileInfoList * files = dir->entryInfoList();
	if ( files ) {
		QFileInfoListIterator it( *files );
		QFileInfo * fi;
		while( (fi=it.current()) != 0 ) {
			++it;
			if(fi->isDir() && fi->fileName() != ".." && fi->fileName()!=".")
			{
				m_cbStyle->insertItem(fi->fileName());
			}
		}
	}
	
	delete dir;
	//load default preview
	emit onSelectStyle(0);	
}


void StyleWid::onSelectStyle( int item )
{
	//load preview image
	QString style = m_cbStyle->text(m_cbStyle->currentItem());
	QPixmap pix;
	QImage img;
	QString path = "/usr/share/kphotools/styles/"+style+"/preview.png";
	if(!img.load(path)){}
	pix.convertFromImage(img);
	//show it
	m_imgPreview->setPixmap(pix);
}
